<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TEmpOtherFileMapper">

  <resultMap id="tEmpOtherFileMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TEmpOtherFile">
    <id property="id" column="ID"/>
    <result property="empId" column="EMP_ID"/>
    <result property="attaName" column="ATTA_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
  </resultMap>
	<!--删除-->
	<delete id="deleteOtherByEmpId">
		delete from t_emp_other_file where EMP_ID = #{empId}
	</delete>
</mapper>
